summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndras Becsi <andras.becsi@digia.com>2014-02-04 11:39:35 +0100
committerAndras Becsi <andras.becsi@digia.com>2014-02-05 09:19:43 +0100
commitbf4b9024a5d129fe4764abfc42d5268a42623c13 (patch)
tree3ba7eeed7576f6b592d4dca29aaa0f478eafb473
parent3e834e97bf8c6f20ca7d9c7d0cc79094108e8965 (diff)
downloadqtwebengine-chromium-bf4b9024a5d129fe4764abfc42d5268a42623c13.tar.gz
Cherry-pick https://codereview.chromium.org/137433002 from upstream
This fixes the build with a cross compiler toolchain. We do not require the functionality of this script but gyp tries to run it and fails if the specified file does not exist. As the upstream issue mentions, this script is "going away soonish", until then we can keep this patch around. Change-Id: Ib9084103cd95aad3c48541e13351ebee2c9279ea Reviewed-by: Pierre Rossi <pierre.rossi@gmail.com>
-rwxr-xr-xchromium/build/linux/python_arch.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/chromium/build/linux/python_arch.sh b/chromium/build/linux/python_arch.sh
index 3a41f94a980..e0f63bc6b04 100755
--- a/chromium/build/linux/python_arch.sh
+++ b/chromium/build/linux/python_arch.sh
@@ -11,7 +11,9 @@
#
file_out=$(file --dereference "$1")
-if [ $? -ne 0 ]; then
+# The POSIX spec says that `file` should not exit(1) if the file does not
+# exist, so do our own -e check to catch things.
+if [ $? -ne 0 ] || [ ! -e "$1" ] ; then
echo unknown
exit 0
fi